Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230079 - PyQt is missing dependency to sip
Summary: PyQt is missing dependency to sip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: PyQt
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 15:37 UTC by Tuomo Soini
Modified: 2009-01-22 15:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 15:52:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0027 normal SHIPPED_LIVE PyQt bug fix update 2009-01-22 15:52:09 UTC

Description Tuomo Soini 2007-02-26 15:37:42 UTC
PyQt is missing dependency to sip at rhel-4u4 level

Shipped version is: PyQt-3.13-1

Seems to be fixed in later versions, from fedora extras pkg changelog:

* Fri Jan 21 2005 Than Ngo <than@redhat.com> 3.13-3
- Add missing sip dependency

Comment 5 Vivian Bian 2009-01-13 06:18:08 UTC
The sip dependency could be seen in the new version of the PyQt-3.13-2.el4

Steps to check the result
1.# rpm -e sip
2.python -c 'import qt'

Effect:
In the Step1,the sip will not be erased .And you could see the sip is needed by (installed) PyQt4-3.13-2.el4.xxx
During Step2,you could import the qt successfully,without the module sip needed warning

Comment 8 errata-xmlrpc 2009-01-22 15:52:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0027.html


Note You need to log in before you can comment on or make changes to this bug.